Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Deployment::DnC_Dump Class Reference

This class defines a set of overloaded "dump" methods to print the contents of various IDL data types, which passed as input. More...

`#include <DnC_Dump.h>`

List of all members.

## Static Public Member Functions
void | dump (const char *caption, const ::CORBA::StringSeq &str_seq)
| Dump functions for CORBA sequences.
void | dump (const char *caption, const TAO_String_Manager &str)
void | dump (const char *caption, const CORBA::Boolean &val)
void | dump (const Deployment::SatisfierProperty &sp)
void | dump (const Deployment::SharedResource &sr)
void | dump (const Deployment::Node &node)
void | dump (const Deployment::Resource &resource)
void | dump (const Deployment::Interconnect &conn)
void | dump (const Deployment::Bridge &bridge)
void | dump (const ::Deployment::Property &property)
void | dump (const ::Deployment::AssemblyConnectionDescription &acd)
void | dump (const ::Deployment::AssemblyPropertyMapping &apm)
void | dump (const ::Deployment::ComponentPackageDescription &comppkgdesc)
void | dump (const ::Deployment::ComponentPortDescription &compportdesc)
void | dump (const ::Deployment::ComponentPropertyDescription &comppropdesc)
void | dump (const ::Deployment::MonolithicImplementationDescription &mid)
void | dump (const ::Deployment::PackageConfiguration &pc)
void | dump (const ::Deployment::PackagedComponentImplementation &pci)
void | dump (const ::Deployment::SubcomponentPortEndpoint &spe)
void | dump (const ::Deployment::Requirement &requirement)
void | dump (const ::Deployment::ComponentExternalPortEndpoint &cepe)
void | dump (const ::Deployment::ComponentPackageReference &cpr)
void | dump (const ::Deployment::ComponentImplementationDescription &cid)
void | dump (const ::Deployment::SubcomponentInstantiationDescription &sid)
void | dump (const ::Deployment::NamedImplementationArtifact &named_implementation)
void | dump (const ::Deployment::ComponentInterfaceDescription &cid)
void | dump (const ::Deployment::SubcomponentPropertyReference &scpr)
void | dump (const ::Deployment::ExternalReferenceEndpoint &ere)
void | dump (const ::Deployment::Domain &domain)
void | dump (const ::Deployment::Capability &capability)
void | dump (const ::Deployment::ImplementationArtifactDescription &iad)
void | dump (const ::Deployment::ImplementationRequirement &ir)
void | dump (const Deployment::ResourceUsageKind &ruk)
void | dump (const Deployment::DeploymentPlan &plan)
void | dump (const Deployment::MonolithicDeploymentDescription &mdd)
void | dump (const Deployment::InstanceDeploymentDescription &idd)
void | dump (const Deployment::PlanConnectionDescription &pcd)
void | dump (const Deployment::PlanPropertyMapping &ppm)
void | dump (const Deployment::ImplementationDependency &id)
void | dump (const Deployment::ArtifactDeploymentDescription &add)
void | dump (const Deployment::InstanceResourceDeploymentDescription &irdd)
void | dump (const PlanSubcomponentPortEndpoint &pspe)
void | dump (const ConnectionResourceDeploymentDescription &crdd)
void | dump (const PlanSubcomponentPropertyReference &pspr)
void | dump (const ResourceDeploymentDescription &rdd)
void | dump (const ::Deployment::ComponentAssemblyDescription &cad)
void | dump (const Deployment::RequirementSatisfier &rs)
void | dump (const char *caption, const ::CORBA::StringSeq &str_seq)
| Dump functions for CORBA sequences.
void | dump (const char *caption, const TAO_String_Manager &str)
void | dump (const char *caption, const CORBA::Boolean &val)
void | dump (const Deployment::SatisfierProperty &sp)
void | dump (const Deployment::SharedResource &sr)
void | dump (const Deployment::Node &node)
void | dump (const Deployment::Resource &resource)
void | dump (const Deployment::Interconnect &conn)
void | dump (const Deployment::Bridge &bridge)
void | dump (const ::Deployment::Property &property)
void | dump (const ::Deployment::AssemblyConnectionDescription &acd)
void | dump (const ::Deployment::AssemblyPropertyMapping &apm)
void | dump (const ::Deployment::ComponentPackageDescription &comppkgdesc)
void | dump (const ::Deployment::ComponentPortDescription &compportdesc)
void | dump (const ::Deployment::ComponentPropertyDescription &comppropdesc)
void | dump (const ::Deployment::MonolithicImplementationDescription &mid)
void | dump (const ::Deployment::PackageConfiguration &pc)
void | dump (const ::Deployment::PackagedComponentImplementation &pci)
void | dump (const ::Deployment::SubcomponentPortEndpoint &spe)
void | dump (const ::Deployment::Requirement &requirement)
void | dump (const ::Deployment::ComponentExternalPortEndpoint &cepe)
void | dump (const ::Deployment::ComponentPackageReference &cpr)
void | dump (const ::Deployment::ComponentImplementationDescription &cid)
void | dump (const ::Deployment::SubcomponentInstantiationDescription &sid)
void | dump (const ::Deployment::NamedImplementationArtifact &named_implementation)
void | dump (const ::Deployment::ComponentInterfaceDescription &cid)
void | dump (const ::Deployment::SubcomponentPropertyReference &scpr)
void | dump (const ::Deployment::ExternalReferenceEndpoint &ere)
void | dump (const ::Deployment::Domain &domain)
void | dump (const ::Deployment::Capability &capability)
void | dump (const ::Deployment::ImplementationArtifactDescription &iad)
void | dump (const ::Deployment::ImplementationRequirement &ir)
void | dump (const Deployment::ResourceUsageKind &ruk)
void | dump (const Deployment::DeploymentPlan &plan)
void | dump (const Deployment::MonolithicDeploymentDescription &mdd)
void | dump (const Deployment::InstanceDeploymentDescription &idd)
void | dump (const Deployment::PlanConnectionDescription &pcd)
void | dump (const Deployment::PlanPropertyMapping &ppm)
void | dump (const Deployment::ImplementationDependency &id)
void | dump (const Deployment::ArtifactDeploymentDescription &add)
void | dump (const Deployment::InstanceResourceDeploymentDescription &irdd)
void | dump (const PlanSubcomponentPortEndpoint &pspe)
void | dump (const ConnectionResourceDeploymentDescription &crdd)
void | dump (const PlanSubcomponentPropertyReference &pspr)
void | dump (const ResourceDeploymentDescription &rdd)
void | dump (const ::Deployment::ComponentAssemblyDescription &cad)
void | dump (const Deployment::RequirementSatisfier &rs)
## Static Private Member Functions
void | dump (const ::CORBA::Any &any)
void | dump (const ::CORBA::Any &any)

## Detailed Description

This class defines a set of overloaded "dump" methods to print the contents of various IDL data types, which passed as input.

## Member Function Documentation

void Deployment::DnC_Dump::dump | ( | const ::CORBA::Any & | any | ) | `[static, private]`

void Deployment::DnC_Dump::dump | ( | const Deployment::RequirementSatisfier & | rs | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentAssemblyDescription & | cad | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ResourceDeploymentDescription & | rdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPropertyReference & | pspr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ConnectionResourceDeploymentDescription & | crdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPortEndpoint & | pspe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceResourceDeploymentDescription & | irdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ArtifactDeploymentDescription & | add | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ImplementationDependency & | id | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanPropertyMapping & | ppm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanConnectionDescription & | pcd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceDeploymentDescription & | idd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::MonolithicDeploymentDescription & | mdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::DeploymentPlan & | plan | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ResourceUsageKind & | ruk | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationRequirement & | ir | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationArtifactDescription & | iad | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Capability & | capability | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Domain & | domain | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ExternalReferenceEndpoint & | ere | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPropertyReference & | scpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentInterfaceDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::NamedImplementationArtifact & | named_implementation | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentInstantiationDescription & | sid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentImplementationDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageReference & | cpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentExternalPortEndpoint & | cepe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Requirement & | requirement | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPortEndpoint & | spe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackagedComponentImplementation & | pci | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackageConfiguration & | pc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::MonolithicImplementationDescription & | mid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPropertyDescription & | comppropdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPortDescription & | compportdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageDescription & | comppkgdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyPropertyMapping & | apm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyConnectionDescription & | acd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Property & | property | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Bridge & | bridge | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Interconnect & | conn | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Resource & | resource | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Node & | node | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SharedResource & | sr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SatisfierProperty & | sp | ) | `[static]`

| A whole slew of overloaded dump routines for different IDL data types.

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const CORBA::Boolean & | val
| ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const TAO_String_Manager & | str
| ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const ::CORBA::StringSeq & | str_seq
| ) | `[static]`

| Dump functions for CORBA sequences.

void Deployment::DnC_Dump::dump | ( | const ::CORBA::Any & | any | ) | `[static, private]`

void Deployment::DnC_Dump::dump | ( | const Deployment::RequirementSatisfier & | rs | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentAssemblyDescription & | cad | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ResourceDeploymentDescription & | rdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPropertyReference & | pspr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ConnectionResourceDeploymentDescription & | crdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPortEndpoint & | pspe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceResourceDeploymentDescription & | irdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ArtifactDeploymentDescription & | add | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ImplementationDependency & | id | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanPropertyMapping & | ppm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanConnectionDescription & | pcd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceDeploymentDescription & | idd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::MonolithicDeploymentDescription & | mdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::DeploymentPlan & | plan | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ResourceUsageKind & | ruk | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationRequirement & | ir | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationArtifactDescription & | iad | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Capability & | capability | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Domain & | domain | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ExternalReferenceEndpoint & | ere | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPropertyReference & | scpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentInterfaceDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::NamedImplementationArtifact & | named_implementation | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentInstantiationDescription & | sid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentImplementationDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageReference & | cpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentExternalPortEndpoint & | cepe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Requirement & | requirement | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPortEndpoint & | spe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackagedComponentImplementation & | pci | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackageConfiguration & | pc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::MonolithicImplementationDescription & | mid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPropertyDescription & | comppropdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPortDescription & | compportdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageDescription & | comppkgdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyPropertyMapping & | apm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyConnectionDescription & | acd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Property & | property | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Bridge & | bridge | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Interconnect & | conn | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Resource & | resource | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Node & | node | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SharedResource & | sr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SatisfierProperty & | sp | ) | `[static]`

| A whole slew of overloaded dump routines for different IDL data types.

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const CORBA::Boolean & | val
| ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const TAO_String_Manager & | str
| ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const ::CORBA::StringSeq & | str_seq
| ) | `[static]`

| Dump functions for CORBA sequences.

The documentation for this class was generated from the following files:

- Config_Handlers/DnC_Dump.h
- Old_Config_Handlers/DnC_Dump.h
- Config_Handlers/DnC_Dump.cpp
- Old_Config_Handlers/DnC_Dump.cpp